#ifndef ULINUX_NAMESPACE_H
#define ULINUX_NAMESPACE_H
#define EINTR ULINUX_EINTR
#define EAGAIN ULINUX_EAGAIN
#define i ulinux_i
#define l ulinux_l
#define u8 ulinux_u8
#define s8 ulinux_s8
#define u16 ulinux_u16
#define u32 ulinux_u32
#define s32 ulinux_s32
#define u64 ulinux_u64
#define s64 ulinux_s64
#define input_event ulinux_input_event
#define EV_SYN ULINUX_EV_SYN
#define EV_MAX ULINUX_EV_MAX
#define EV_KEY ULINUX_EV_KEY
#define KEY_MAX ULINUX_KEY_MAX
#define EV_REL ULINUX_EV_REL
#define REL_MAX ULINUX_REL_MAX
#define EV_ABS ULINUX_EV_ABS
#define ABS_MAX ULINUX_ABS_MAX
#define EV_MSC ULINUX_EV_MSC
#define MSC_MAX ULINUX_MSC_MAX
#define EV_SW ULINUX_EV_SW
#define SW_MAX ULINUX_SW_MAX
#define EV_LED ULINUX_EV_LED
#define LED_MAX ULINUX_LED_MAX
#define EV_REP ULINUX_EV_REP
#define EV_SND ULINUX_EV_SND
#define SND_MAX ULINUX_SND_MAX
#define EV_FF ULINUX_EV_FF
#define FF_MAX ULINUX_FF_MAX
#define EV_PWR ULINUX_EV_PWR
#define EV_FF_STATUS ULINUX_EV_FF_STATUS
#define ioctl(a,b,c) ulinux_sysc(ioctl,3,a,b,c)
#define EVIOCGBIT ULINUX_EVIOCGBIT
#define ISERR ULINUX_ISERR
#define dirent64 ulinux_dirent64
#define strncmp ulinux_strncmp
#define openat(a,b,c,d) ulinux_sysc(openat,4,a,b,c,d)
#define RDWR ULINUX_O_RDWR
#define RDONLY ULINUX_O_RDONLY
#define NONBLOCK ULINUX_O_NONBLOCK
#define EVIOCGVERSION ULINUX_EVIOCGVERSION
#define EVIOCGNAME ULINUX_EVIOCGNAME
#define EVIOCGPHYS ULINUX_EVIOCGPHYS
#define close(a) ulinux_sysc(close,1,a)
#define getdents64(a,b,c) ulinux_sysc(getdents64,3,a,b,c)
#define exit(a) ulinux_sysc(exit_group,1,a)
#define SYN_REPORT ULINUX_SYN_REPORT
#define SYN_CONFIG ULINUX_SYN_CONFIG
#define SYN_MT_REPORT ULINUX_SYN_MT_REPORT
#define SYN_DROPPED ULINUX_SYN_DROPPED
#define REL_X ULINUX_REL_X
#define REL_Y ULINUX_REL_Y
#define REL_Z ULINUX_REL_Z
#define REL_RX ULINUX_REL_RX
#define REL_RY ULINUX_REL_RY
#define REL_HWHEEL ULINUX_REL_HWHEEL
#define REL_DIAL ULINUX_REL_DIAL
#define REL_WHEEL ULINUX_REL_WHEEL
#define REL_MISC ULINUX_REL_MISC
#define MSC_SERIAL ULINUX_MSC_SERIAL
#define MSC_PULSELED ULINUX_MSC_PULSELED
#define MSC_GESTURE ULINUX_MSC_GESTURE
#define MSC_RAW ULINUX_MSC_RAW
#define MSC_SCAN ULINUX_MSC_SCAN
#define SW_LID ULINUX_SW_LID
#define SW_TABLET_MODE ULINUX_SW_TABLET_MODE
#define SW_HEADPHONE_INSERT ULINUX_SW_HEADPHONE_INSERT
#define SW_RFKILL_ALL ULINUX_SW_RFKILL_ALL
#define SW_MICROPHONE_INSERT ULINUX_SW_MICROPHONE_INSERT
#define SW_DOCK ULINUX_SW_DOCK
#define SW_LINEOUT_INSERT ULINUX_SW_LINEOUT_INSERT
#define SW_JACK_PHYSICAL_INSERT ULINUX_SW_JACK_PHYSICAL_INSERT
#define SW_VIDEOOUT_INSERT ULINUX_SW_VIDEOOUT_INSERT
#define SW_CAMERA_LENS_COVER ULINUX_SW_CAMERA_LENS_COVER
#define SW_KEYPAD_SLIDE ULINUX_SW_KEYPAD_SLIDE
#define SW_FRONT_PROXIMITY ULINUX_SW_FRONT_PROXIMITY
#define SW_ROTATE_LOCK ULINUX_SW_ROTATE_LOCK
#define SW_LINEIN_INSERT ULINUX_SW_LINEIN_INSERT
#define SND_CLICK ULINUX_SND_CLICK
#define SND_BELL ULINUX_SND_BELL
#define SND_TONE ULINUX_SND_TONE
#define epoll_create1(a) ulinux_sysc(epoll_create1,1,a)
#define epoll_event ulinux_epoll_event
#define memset ulinux_memset
#define EPOLLET ULINUX_EPOLLET
#define EPOLLIN ULINUX_EPOLLIN
#define EPOLL_CTL_ADD ULINUX_EPOLL_CTL_ADD
#define epoll_ctl(a,b,c,d) ulinux_sysc(epoll_ctl,4,a,b,c,d)
#define epoll_wait(a,b,c,d) ulinux_sysc(epoll_wait,4,a,b,c,d)
#define read(a,b,c) ulinux_sysc(read,3,a,b,c)
#define open(a,b,c) ulinux_sysc(open,3,a,b,c)
#endif
